Subject: categories: Products in a compact closed category

From: Robin Houston <[email-masked]>
Date: Thu, 23 Mar 2006 12:17:05 +0000

Dear categorists,

I recently proved that products (or coproducts) in a compact closed
category are necessarily biproducts, and I'm wondering whether this
is a known theorem. I can't find any reference to it in the
literature, but the proof is not hugely complicated and it would
not surprise me to learn that someone noticed it before this week!

(More precisely, I can prove that given a monoidal category that has
(finite) sums and products, if the tensor distributes over the sums
on one side and the products on the other -- e.g. for every object A,
-*A preserves sums and A*- preserves products -- then the products and
coproducts are both really biproducts.)

Any references or recollections will be much appreciated.

Yours,
Robin